hiroakihsu asks:
I haven't used my DS Two for a while now, so I was wondering...Would it still work on the latest 11.9 3ds firmware (I'm using latest Luma BTW)? Do I need to update the firmware of the flashcart? Thx!
Jan 2, 2019

3 Answers

  • Technicmaster0
  • THYPLEX
  • Redhorse